# Enum Class AttachmentMethod

java.lang.Object
java.lang.Enum<AttachmentMethod>
com.independentsoft.pst.AttachmentMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<AttachmentMethod>`, `Constable`

public enum AttachmentMethod extends Enum<AttachmentMethod>
Specifies how the data of an attachment is stored or referenced.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTACH_BY_REFERENCE`
  The attachment is a reference (path) to data stored outside the message.
  `ATTACH_BY_REFERENCE_ONLY`
  The attachment is a reference only; the data cannot be resolved.
  `ATTACH_BY_REFERENCE_RESOLVE`
  The attachment is a reference that can be resolved to the data.
  `ATTACH_BY_VALUE`
  The attachment data is stored by value in the message.
  `ATTACH_BY_WEB_REFERENCE`
  The attachment is a reference to data accessible by a web URL.
  `EMBEDDED_MESSAGE`
  The attachment is an embedded message.
  `NO_ATTACHMENT`
  The attachment has no data.
  `NONE`
  The attachment method is not specified.
  `OLE`
  The attachment is an embedded OLE object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttachmentMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AttachmentMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_ATTACHMENT

    public static final AttachmentMethod NO_ATTACHMENT
    The attachment has no data.

  - ### ATTACH_BY_VALUE

    public static final AttachmentMethod ATTACH_BY_VALUE
    The attachment data is stored by value in the message.

  - ### ATTACH_BY_REFERENCE

    public static final AttachmentMethod ATTACH_BY_REFERENCE
    The attachment is a reference (path) to data stored outside the message.

  - ### ATTACH_BY_REFERENCE_RESOLVE

    public static final AttachmentMethod ATTACH_BY_REFERENCE_RESOLVE
    The attachment is a reference that can be resolved to the data.

  - ### ATTACH_BY_REFERENCE_ONLY

    public static final AttachmentMethod ATTACH_BY_REFERENCE_ONLY
    The attachment is a reference only; the data cannot be resolved.

  - ### EMBEDDED_MESSAGE

    public static final AttachmentMethod EMBEDDED_MESSAGE
    The attachment is an embedded message.

  - ### OLE

    public static final AttachmentMethod OLE
    The attachment is an embedded OLE object.

  - ### ATTACH_BY_WEB_REFERENCE

    public static final AttachmentMethod ATTACH_BY_WEB_REFERENCE
    The attachment is a reference to data accessible by a web URL.

  - ### NONE

    public static final AttachmentMethod NONE
    The attachment method is not specified.

- ## Method Details

  - ### values

    public static AttachmentMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AttachmentMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null